def 列表_全员乘法计算(列表, 要乘的数值):
    """
    将列表中的每个数字元素乘以指定的数值，并返回结果列表。

    参数:
        - 列表 (list): 包含数字的列表
        - 要乘的数值 (int, float): 要乘以每个数字元素的数值

    返回:
        - 新列表 (list): 包含所有数字元素乘以指定数值后的结果

    如果处理过程中发生异常，则返回错误信息。
    """
    try:
        新列表 = []

        for 元素 in 列表:
            if isinstance(元素, (int, float)):
                新列表.append(元素 * 要乘的数值)
            else:
                # 如果遇到非数字元素（如字符串），直接返回空列表
                return []

        return 新列表
    except Exception as e:
        # 捕获所有异常并返回错误信息
        return f"处理失败: {e}"